IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network2.24.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
- Network address
2.24.0.0- Broadcast address
2.31.255.255- First usable
2.24.0.1- Last usable
2.31.255.254- Usable hosts
- 524,286 (524,288 less the network and broadcast addresses)
- Subnet mask
255.248.0.0- Wildcard mask
0.7.255.255(Cisco ACLs, OSPF)- Prefix length
- /13
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
02180000· Integer35127296to35651583 - Reverse DNS zones
24.2.in-addr.arpa25.2.in-addr.arpa26.2.in-addr.arpa27.2.in-addr.arpa28.2.in-addr.arpa29.2.in-addr.arpa30.2.in-addr.arpa31.2.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00000010.00011000.00000000.00000000 | 2.24.0.0 |
| Subnet mask | 11111111.11111000.00000000.00000000 | 255.248.0.0 |
| Network | 00000010.00011000.00000000.00000000 | 2.24.0.0 |
| Broadcast | 00000010.00011111.11111111.11111111 | 2.31.255.255 |
Split into smaller subnets
/14 (2)/15 (4)/16 (8)/17 (16)/18 (32)/19 (64)/20 (128)/21 (256)/22 (512)/23 (1,024)/24 (2,048)/25 (4,096)
2.24.0.0/13 makes 1,024 subnets of /23; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 2.24.0.0/23 | 2.24.0.1 to 2.24.1.254 | 2.24.1.255 | 510 |
| 2 | 2.24.2.0/23 | 2.24.2.1 to 2.24.3.254 | 2.24.3.255 | 510 |
| 3 | 2.24.4.0/23 | 2.24.4.1 to 2.24.5.254 | 2.24.5.255 | 510 |
| 4 | 2.24.6.0/23 | 2.24.6.1 to 2.24.7.254 | 2.24.7.255 | 510 |
| 5 | 2.24.8.0/23 | 2.24.8.1 to 2.24.9.254 | 2.24.9.255 | 510 |
| 6 | 2.24.10.0/23 | 2.24.10.1 to 2.24.11.254 | 2.24.11.255 | 510 |
| 7 | 2.24.12.0/23 | 2.24.12.1 to 2.24.13.254 | 2.24.13.255 | 510 |
| 8 | 2.24.14.0/23 | 2.24.14.1 to 2.24.15.254 | 2.24.15.255 | 510 |
| 9 | 2.24.16.0/23 | 2.24.16.1 to 2.24.17.254 | 2.24.17.255 | 510 |
| 10 | 2.24.18.0/23 | 2.24.18.1 to 2.24.19.254 | 2.24.19.255 | 510 |
| 11 | 2.24.20.0/23 | 2.24.20.1 to 2.24.21.254 | 2.24.21.255 | 510 |
| 12 | 2.24.22.0/23 | 2.24.22.1 to 2.24.23.254 | 2.24.23.255 | 510 |
| 13 | 2.24.24.0/23 | 2.24.24.1 to 2.24.25.254 | 2.24.25.255 | 510 |
| 14 | 2.24.26.0/23 | 2.24.26.1 to 2.24.27.254 | 2.24.27.255 | 510 |
| 15 | 2.24.28.0/23 | 2.24.28.1 to 2.24.29.254 | 2.24.29.255 | 510 |
| 16 | 2.24.30.0/23 | 2.24.30.1 to 2.24.31.254 | 2.24.31.255 | 510 |
| 17 | 2.24.32.0/23 | 2.24.32.1 to 2.24.33.254 | 2.24.33.255 | 510 |
| 18 | 2.24.34.0/23 | 2.24.34.1 to 2.24.35.254 | 2.24.35.255 | 510 |
| 19 | 2.24.36.0/23 | 2.24.36.1 to 2.24.37.254 | 2.24.37.255 | 510 |
| 20 | 2.24.38.0/23 | 2.24.38.1 to 2.24.39.254 | 2.24.39.255 | 510 |
| 21 | 2.24.40.0/23 | 2.24.40.1 to 2.24.41.254 | 2.24.41.255 | 510 |
| 22 | 2.24.42.0/23 | 2.24.42.1 to 2.24.43.254 | 2.24.43.255 | 510 |
| 23 | 2.24.44.0/23 | 2.24.44.1 to 2.24.45.254 | 2.24.45.255 | 510 |
| 24 | 2.24.46.0/23 | 2.24.46.1 to 2.24.47.254 | 2.24.47.255 | 510 |
| 25 | 2.24.48.0/23 | 2.24.48.1 to 2.24.49.254 | 2.24.49.255 | 510 |
| 26 | 2.24.50.0/23 | 2.24.50.1 to 2.24.51.254 | 2.24.51.255 | 510 |
| 27 | 2.24.52.0/23 | 2.24.52.1 to 2.24.53.254 | 2.24.53.255 | 510 |
| 28 | 2.24.54.0/23 | 2.24.54.1 to 2.24.55.254 | 2.24.55.255 | 510 |
| 29 | 2.24.56.0/23 | 2.24.56.1 to 2.24.57.254 | 2.24.57.255 | 510 |
| 30 | 2.24.58.0/23 | 2.24.58.1 to 2.24.59.254 | 2.24.59.255 | 510 |
| 31 | 2.24.60.0/23 | 2.24.60.1 to 2.24.61.254 | 2.24.61.255 | 510 |
| 32 | 2.24.62.0/23 | 2.24.62.1 to 2.24.63.254 | 2.24.63.255 | 510 |
| 33 | 2.24.64.0/23 | 2.24.64.1 to 2.24.65.254 | 2.24.65.255 | 510 |
| 34 | 2.24.66.0/23 | 2.24.66.1 to 2.24.67.254 | 2.24.67.255 | 510 |
| 35 | 2.24.68.0/23 | 2.24.68.1 to 2.24.69.254 | 2.24.69.255 | 510 |
| 36 | 2.24.70.0/23 | 2.24.70.1 to 2.24.71.254 | 2.24.71.255 | 510 |
| 37 | 2.24.72.0/23 | 2.24.72.1 to 2.24.73.254 | 2.24.73.255 | 510 |
| 38 | 2.24.74.0/23 | 2.24.74.1 to 2.24.75.254 | 2.24.75.255 | 510 |
| 39 | 2.24.76.0/23 | 2.24.76.1 to 2.24.77.254 | 2.24.77.255 | 510 |
| 40 | 2.24.78.0/23 | 2.24.78.1 to 2.24.79.254 | 2.24.79.255 | 510 |
| 41 | 2.24.80.0/23 | 2.24.80.1 to 2.24.81.254 | 2.24.81.255 | 510 |
| 42 | 2.24.82.0/23 | 2.24.82.1 to 2.24.83.254 | 2.24.83.255 | 510 |
| 43 | 2.24.84.0/23 | 2.24.84.1 to 2.24.85.254 | 2.24.85.255 | 510 |
| 44 | 2.24.86.0/23 | 2.24.86.1 to 2.24.87.254 | 2.24.87.255 | 510 |
| 45 | 2.24.88.0/23 | 2.24.88.1 to 2.24.89.254 | 2.24.89.255 | 510 |
| 46 | 2.24.90.0/23 | 2.24.90.1 to 2.24.91.254 | 2.24.91.255 | 510 |
| 47 | 2.24.92.0/23 | 2.24.92.1 to 2.24.93.254 | 2.24.93.255 | 510 |
| 48 | 2.24.94.0/23 | 2.24.94.1 to 2.24.95.254 | 2.24.95.255 | 510 |
| 49 | 2.24.96.0/23 | 2.24.96.1 to 2.24.97.254 | 2.24.97.255 | 510 |
| 50 | 2.24.98.0/23 | 2.24.98.1 to 2.24.99.254 | 2.24.99.255 | 510 |
| 51 | 2.24.100.0/23 | 2.24.100.1 to 2.24.101.254 | 2.24.101.255 | 510 |
| 52 | 2.24.102.0/23 | 2.24.102.1 to 2.24.103.254 | 2.24.103.255 | 510 |
| 53 | 2.24.104.0/23 | 2.24.104.1 to 2.24.105.254 | 2.24.105.255 | 510 |
| 54 | 2.24.106.0/23 | 2.24.106.1 to 2.24.107.254 | 2.24.107.255 | 510 |
| 55 | 2.24.108.0/23 | 2.24.108.1 to 2.24.109.254 | 2.24.109.255 | 510 |
| 56 | 2.24.110.0/23 | 2.24.110.1 to 2.24.111.254 | 2.24.111.255 | 510 |
| 57 | 2.24.112.0/23 | 2.24.112.1 to 2.24.113.254 | 2.24.113.255 | 510 |
| 58 | 2.24.114.0/23 | 2.24.114.1 to 2.24.115.254 | 2.24.115.255 | 510 |
| 59 | 2.24.116.0/23 | 2.24.116.1 to 2.24.117.254 | 2.24.117.255 | 510 |
| 60 | 2.24.118.0/23 | 2.24.118.1 to 2.24.119.254 | 2.24.119.255 | 510 |
| 61 | 2.24.120.0/23 | 2.24.120.1 to 2.24.121.254 | 2.24.121.255 | 510 |
| 62 | 2.24.122.0/23 | 2.24.122.1 to 2.24.123.254 | 2.24.123.255 | 510 |
| 63 | 2.24.124.0/23 | 2.24.124.1 to 2.24.125.254 | 2.24.125.255 | 510 |
| 64 | 2.24.126.0/23 | 2.24.126.1 to 2.24.127.254 | 2.24.127.255 | 510 |
| 65 | 2.24.128.0/23 | 2.24.128.1 to 2.24.129.254 | 2.24.129.255 | 510 |
| 66 | 2.24.130.0/23 | 2.24.130.1 to 2.24.131.254 | 2.24.131.255 | 510 |
| 67 | 2.24.132.0/23 | 2.24.132.1 to 2.24.133.254 | 2.24.133.255 | 510 |
| 68 | 2.24.134.0/23 | 2.24.134.1 to 2.24.135.254 | 2.24.135.255 | 510 |
| 69 | 2.24.136.0/23 | 2.24.136.1 to 2.24.137.254 | 2.24.137.255 | 510 |
| 70 | 2.24.138.0/23 | 2.24.138.1 to 2.24.139.254 | 2.24.139.255 | 510 |
| 71 | 2.24.140.0/23 | 2.24.140.1 to 2.24.141.254 | 2.24.141.255 | 510 |
| 72 | 2.24.142.0/23 | 2.24.142.1 to 2.24.143.254 | 2.24.143.255 | 510 |
| 73 | 2.24.144.0/23 | 2.24.144.1 to 2.24.145.254 | 2.24.145.255 | 510 |
| 74 | 2.24.146.0/23 | 2.24.146.1 to 2.24.147.254 | 2.24.147.255 | 510 |
| 75 | 2.24.148.0/23 | 2.24.148.1 to 2.24.149.254 | 2.24.149.255 | 510 |
| 76 | 2.24.150.0/23 | 2.24.150.1 to 2.24.151.254 | 2.24.151.255 | 510 |
| 77 | 2.24.152.0/23 | 2.24.152.1 to 2.24.153.254 | 2.24.153.255 | 510 |
| 78 | 2.24.154.0/23 | 2.24.154.1 to 2.24.155.254 | 2.24.155.255 | 510 |
| 79 | 2.24.156.0/23 | 2.24.156.1 to 2.24.157.254 | 2.24.157.255 | 510 |
| 80 | 2.24.158.0/23 | 2.24.158.1 to 2.24.159.254 | 2.24.159.255 | 510 |
| 81 | 2.24.160.0/23 | 2.24.160.1 to 2.24.161.254 | 2.24.161.255 | 510 |
| 82 | 2.24.162.0/23 | 2.24.162.1 to 2.24.163.254 | 2.24.163.255 | 510 |
| 83 | 2.24.164.0/23 | 2.24.164.1 to 2.24.165.254 | 2.24.165.255 | 510 |
| 84 | 2.24.166.0/23 | 2.24.166.1 to 2.24.167.254 | 2.24.167.255 | 510 |
| 85 | 2.24.168.0/23 | 2.24.168.1 to 2.24.169.254 | 2.24.169.255 | 510 |
| 86 | 2.24.170.0/23 | 2.24.170.1 to 2.24.171.254 | 2.24.171.255 | 510 |
| 87 | 2.24.172.0/23 | 2.24.172.1 to 2.24.173.254 | 2.24.173.255 | 510 |
| 88 | 2.24.174.0/23 | 2.24.174.1 to 2.24.175.254 | 2.24.175.255 | 510 |
| 89 | 2.24.176.0/23 | 2.24.176.1 to 2.24.177.254 | 2.24.177.255 | 510 |
| 90 | 2.24.178.0/23 | 2.24.178.1 to 2.24.179.254 | 2.24.179.255 | 510 |
| 91 | 2.24.180.0/23 | 2.24.180.1 to 2.24.181.254 | 2.24.181.255 | 510 |
| 92 | 2.24.182.0/23 | 2.24.182.1 to 2.24.183.254 | 2.24.183.255 | 510 |
| 93 | 2.24.184.0/23 | 2.24.184.1 to 2.24.185.254 | 2.24.185.255 | 510 |
| 94 | 2.24.186.0/23 | 2.24.186.1 to 2.24.187.254 | 2.24.187.255 | 510 |
| 95 | 2.24.188.0/23 | 2.24.188.1 to 2.24.189.254 | 2.24.189.255 | 510 |
| 96 | 2.24.190.0/23 | 2.24.190.1 to 2.24.191.254 | 2.24.191.255 | 510 |
| 97 | 2.24.192.0/23 | 2.24.192.1 to 2.24.193.254 | 2.24.193.255 | 510 |
| 98 | 2.24.194.0/23 | 2.24.194.1 to 2.24.195.254 | 2.24.195.255 | 510 |
| 99 | 2.24.196.0/23 | 2.24.196.1 to 2.24.197.254 | 2.24.197.255 | 510 |
| 100 | 2.24.198.0/23 | 2.24.198.1 to 2.24.199.254 | 2.24.199.255 | 510 |
| 101 | 2.24.200.0/23 | 2.24.200.1 to 2.24.201.254 | 2.24.201.255 | 510 |
| 102 | 2.24.202.0/23 | 2.24.202.1 to 2.24.203.254 | 2.24.203.255 | 510 |
| 103 | 2.24.204.0/23 | 2.24.204.1 to 2.24.205.254 | 2.24.205.255 | 510 |
| 104 | 2.24.206.0/23 | 2.24.206.1 to 2.24.207.254 | 2.24.207.255 | 510 |
| 105 | 2.24.208.0/23 | 2.24.208.1 to 2.24.209.254 | 2.24.209.255 | 510 |
| 106 | 2.24.210.0/23 | 2.24.210.1 to 2.24.211.254 | 2.24.211.255 | 510 |
| 107 | 2.24.212.0/23 | 2.24.212.1 to 2.24.213.254 | 2.24.213.255 | 510 |
| 108 | 2.24.214.0/23 | 2.24.214.1 to 2.24.215.254 | 2.24.215.255 | 510 |
| 109 | 2.24.216.0/23 | 2.24.216.1 to 2.24.217.254 | 2.24.217.255 | 510 |
| 110 | 2.24.218.0/23 | 2.24.218.1 to 2.24.219.254 | 2.24.219.255 | 510 |
| 111 | 2.24.220.0/23 | 2.24.220.1 to 2.24.221.254 | 2.24.221.255 | 510 |
| 112 | 2.24.222.0/23 | 2.24.222.1 to 2.24.223.254 | 2.24.223.255 | 510 |
| 113 | 2.24.224.0/23 | 2.24.224.1 to 2.24.225.254 | 2.24.225.255 | 510 |
| 114 | 2.24.226.0/23 | 2.24.226.1 to 2.24.227.254 | 2.24.227.255 | 510 |
| 115 | 2.24.228.0/23 | 2.24.228.1 to 2.24.229.254 | 2.24.229.255 | 510 |
| 116 | 2.24.230.0/23 | 2.24.230.1 to 2.24.231.254 | 2.24.231.255 | 510 |
| 117 | 2.24.232.0/23 | 2.24.232.1 to 2.24.233.254 | 2.24.233.255 | 510 |
| 118 | 2.24.234.0/23 | 2.24.234.1 to 2.24.235.254 | 2.24.235.255 | 510 |
| 119 | 2.24.236.0/23 | 2.24.236.1 to 2.24.237.254 | 2.24.237.255 | 510 |
| 120 | 2.24.238.0/23 | 2.24.238.1 to 2.24.239.254 | 2.24.239.255 | 510 |
| 121 | 2.24.240.0/23 | 2.24.240.1 to 2.24.241.254 | 2.24.241.255 | 510 |
| 122 | 2.24.242.0/23 | 2.24.242.1 to 2.24.243.254 | 2.24.243.255 | 510 |
| 123 | 2.24.244.0/23 | 2.24.244.1 to 2.24.245.254 | 2.24.245.255 | 510 |
| 124 | 2.24.246.0/23 | 2.24.246.1 to 2.24.247.254 | 2.24.247.255 | 510 |
| 125 | 2.24.248.0/23 | 2.24.248.1 to 2.24.249.254 | 2.24.249.255 | 510 |
| 126 | 2.24.250.0/23 | 2.24.250.1 to 2.24.251.254 | 2.24.251.255 | 510 |
| 127 | 2.24.252.0/23 | 2.24.252.1 to 2.24.253.254 | 2.24.253.255 | 510 |
| 128 | 2.24.254.0/23 | 2.24.254.1 to 2.24.255.254 | 2.24.255.255 | 510 |
| 129 | 2.25.0.0/23 | 2.25.0.1 to 2.25.1.254 | 2.25.1.255 | 510 |
| 130 | 2.25.2.0/23 | 2.25.2.1 to 2.25.3.254 | 2.25.3.255 | 510 |
| 131 | 2.25.4.0/23 | 2.25.4.1 to 2.25.5.254 | 2.25.5.255 | 510 |
| 132 | 2.25.6.0/23 | 2.25.6.1 to 2.25.7.254 | 2.25.7.255 | 510 |
| 133 | 2.25.8.0/23 | 2.25.8.1 to 2.25.9.254 | 2.25.9.255 | 510 |
| 134 | 2.25.10.0/23 | 2.25.10.1 to 2.25.11.254 | 2.25.11.255 | 510 |
| 135 | 2.25.12.0/23 | 2.25.12.1 to 2.25.13.254 | 2.25.13.255 | 510 |
| 136 | 2.25.14.0/23 | 2.25.14.1 to 2.25.15.254 | 2.25.15.255 | 510 |
| 137 | 2.25.16.0/23 | 2.25.16.1 to 2.25.17.254 | 2.25.17.255 | 510 |
| 138 | 2.25.18.0/23 | 2.25.18.1 to 2.25.19.254 | 2.25.19.255 | 510 |
| 139 | 2.25.20.0/23 | 2.25.20.1 to 2.25.21.254 | 2.25.21.255 | 510 |
| 140 | 2.25.22.0/23 | 2.25.22.1 to 2.25.23.254 | 2.25.23.255 | 510 |
| 141 | 2.25.24.0/23 | 2.25.24.1 to 2.25.25.254 | 2.25.25.255 | 510 |
| 142 | 2.25.26.0/23 | 2.25.26.1 to 2.25.27.254 | 2.25.27.255 | 510 |
| 143 | 2.25.28.0/23 | 2.25.28.1 to 2.25.29.254 | 2.25.29.255 | 510 |
| 144 | 2.25.30.0/23 | 2.25.30.1 to 2.25.31.254 | 2.25.31.255 | 510 |
| 145 | 2.25.32.0/23 | 2.25.32.1 to 2.25.33.254 | 2.25.33.255 | 510 |
| 146 | 2.25.34.0/23 | 2.25.34.1 to 2.25.35.254 | 2.25.35.255 | 510 |
| 147 | 2.25.36.0/23 | 2.25.36.1 to 2.25.37.254 | 2.25.37.255 | 510 |
| 148 | 2.25.38.0/23 | 2.25.38.1 to 2.25.39.254 | 2.25.39.255 | 510 |
| 149 | 2.25.40.0/23 | 2.25.40.1 to 2.25.41.254 | 2.25.41.255 | 510 |
| 150 | 2.25.42.0/23 | 2.25.42.1 to 2.25.43.254 | 2.25.43.255 | 510 |
| 151 | 2.25.44.0/23 | 2.25.44.1 to 2.25.45.254 | 2.25.45.255 | 510 |
| 152 | 2.25.46.0/23 | 2.25.46.1 to 2.25.47.254 | 2.25.47.255 | 510 |
| 153 | 2.25.48.0/23 | 2.25.48.1 to 2.25.49.254 | 2.25.49.255 | 510 |
| 154 | 2.25.50.0/23 | 2.25.50.1 to 2.25.51.254 | 2.25.51.255 | 510 |
| 155 | 2.25.52.0/23 | 2.25.52.1 to 2.25.53.254 | 2.25.53.255 | 510 |
| 156 | 2.25.54.0/23 | 2.25.54.1 to 2.25.55.254 | 2.25.55.255 | 510 |
| 157 | 2.25.56.0/23 | 2.25.56.1 to 2.25.57.254 | 2.25.57.255 | 510 |
| 158 | 2.25.58.0/23 | 2.25.58.1 to 2.25.59.254 | 2.25.59.255 | 510 |
| 159 | 2.25.60.0/23 | 2.25.60.1 to 2.25.61.254 | 2.25.61.255 | 510 |
| 160 | 2.25.62.0/23 | 2.25.62.1 to 2.25.63.254 | 2.25.63.255 | 510 |
| 161 | 2.25.64.0/23 | 2.25.64.1 to 2.25.65.254 | 2.25.65.255 | 510 |
| 162 | 2.25.66.0/23 | 2.25.66.1 to 2.25.67.254 | 2.25.67.255 | 510 |
| 163 | 2.25.68.0/23 | 2.25.68.1 to 2.25.69.254 | 2.25.69.255 | 510 |
| 164 | 2.25.70.0/23 | 2.25.70.1 to 2.25.71.254 | 2.25.71.255 | 510 |
| 165 | 2.25.72.0/23 | 2.25.72.1 to 2.25.73.254 | 2.25.73.255 | 510 |
| 166 | 2.25.74.0/23 | 2.25.74.1 to 2.25.75.254 | 2.25.75.255 | 510 |
| 167 | 2.25.76.0/23 | 2.25.76.1 to 2.25.77.254 | 2.25.77.255 | 510 |
| 168 | 2.25.78.0/23 | 2.25.78.1 to 2.25.79.254 | 2.25.79.255 | 510 |
| 169 | 2.25.80.0/23 | 2.25.80.1 to 2.25.81.254 | 2.25.81.255 | 510 |
| 170 | 2.25.82.0/23 | 2.25.82.1 to 2.25.83.254 | 2.25.83.255 | 510 |
| 171 | 2.25.84.0/23 | 2.25.84.1 to 2.25.85.254 | 2.25.85.255 | 510 |
| 172 | 2.25.86.0/23 | 2.25.86.1 to 2.25.87.254 | 2.25.87.255 | 510 |
| 173 | 2.25.88.0/23 | 2.25.88.1 to 2.25.89.254 | 2.25.89.255 | 510 |
| 174 | 2.25.90.0/23 | 2.25.90.1 to 2.25.91.254 | 2.25.91.255 | 510 |
| 175 | 2.25.92.0/23 | 2.25.92.1 to 2.25.93.254 | 2.25.93.255 | 510 |
| 176 | 2.25.94.0/23 | 2.25.94.1 to 2.25.95.254 | 2.25.95.255 | 510 |
| 177 | 2.25.96.0/23 | 2.25.96.1 to 2.25.97.254 | 2.25.97.255 | 510 |
| 178 | 2.25.98.0/23 | 2.25.98.1 to 2.25.99.254 | 2.25.99.255 | 510 |
| 179 | 2.25.100.0/23 | 2.25.100.1 to 2.25.101.254 | 2.25.101.255 | 510 |
| 180 | 2.25.102.0/23 | 2.25.102.1 to 2.25.103.254 | 2.25.103.255 | 510 |
| 181 | 2.25.104.0/23 | 2.25.104.1 to 2.25.105.254 | 2.25.105.255 | 510 |
| 182 | 2.25.106.0/23 | 2.25.106.1 to 2.25.107.254 | 2.25.107.255 | 510 |
| 183 | 2.25.108.0/23 | 2.25.108.1 to 2.25.109.254 | 2.25.109.255 | 510 |
| 184 | 2.25.110.0/23 | 2.25.110.1 to 2.25.111.254 | 2.25.111.255 | 510 |
| 185 | 2.25.112.0/23 | 2.25.112.1 to 2.25.113.254 | 2.25.113.255 | 510 |
| 186 | 2.25.114.0/23 | 2.25.114.1 to 2.25.115.254 | 2.25.115.255 | 510 |
| 187 | 2.25.116.0/23 | 2.25.116.1 to 2.25.117.254 | 2.25.117.255 | 510 |
| 188 | 2.25.118.0/23 | 2.25.118.1 to 2.25.119.254 | 2.25.119.255 | 510 |
| 189 | 2.25.120.0/23 | 2.25.120.1 to 2.25.121.254 | 2.25.121.255 | 510 |
| 190 | 2.25.122.0/23 | 2.25.122.1 to 2.25.123.254 | 2.25.123.255 | 510 |
| 191 | 2.25.124.0/23 | 2.25.124.1 to 2.25.125.254 | 2.25.125.255 | 510 |
| 192 | 2.25.126.0/23 | 2.25.126.1 to 2.25.127.254 | 2.25.127.255 | 510 |
| 193 | 2.25.128.0/23 | 2.25.128.1 to 2.25.129.254 | 2.25.129.255 | 510 |
| 194 | 2.25.130.0/23 | 2.25.130.1 to 2.25.131.254 | 2.25.131.255 | 510 |
| 195 | 2.25.132.0/23 | 2.25.132.1 to 2.25.133.254 | 2.25.133.255 | 510 |
| 196 | 2.25.134.0/23 | 2.25.134.1 to 2.25.135.254 | 2.25.135.255 | 510 |
| 197 | 2.25.136.0/23 | 2.25.136.1 to 2.25.137.254 | 2.25.137.255 | 510 |
| 198 | 2.25.138.0/23 | 2.25.138.1 to 2.25.139.254 | 2.25.139.255 | 510 |
| 199 | 2.25.140.0/23 | 2.25.140.1 to 2.25.141.254 | 2.25.141.255 | 510 |
| 200 | 2.25.142.0/23 | 2.25.142.1 to 2.25.143.254 | 2.25.143.255 | 510 |
| 201 | 2.25.144.0/23 | 2.25.144.1 to 2.25.145.254 | 2.25.145.255 | 510 |
| 202 | 2.25.146.0/23 | 2.25.146.1 to 2.25.147.254 | 2.25.147.255 | 510 |
| 203 | 2.25.148.0/23 | 2.25.148.1 to 2.25.149.254 | 2.25.149.255 | 510 |
| 204 | 2.25.150.0/23 | 2.25.150.1 to 2.25.151.254 | 2.25.151.255 | 510 |
| 205 | 2.25.152.0/23 | 2.25.152.1 to 2.25.153.254 | 2.25.153.255 | 510 |
| 206 | 2.25.154.0/23 | 2.25.154.1 to 2.25.155.254 | 2.25.155.255 | 510 |
| 207 | 2.25.156.0/23 | 2.25.156.1 to 2.25.157.254 | 2.25.157.255 | 510 |
| 208 | 2.25.158.0/23 | 2.25.158.1 to 2.25.159.254 | 2.25.159.255 | 510 |
| 209 | 2.25.160.0/23 | 2.25.160.1 to 2.25.161.254 | 2.25.161.255 | 510 |
| 210 | 2.25.162.0/23 | 2.25.162.1 to 2.25.163.254 | 2.25.163.255 | 510 |
| 211 | 2.25.164.0/23 | 2.25.164.1 to 2.25.165.254 | 2.25.165.255 | 510 |
| 212 | 2.25.166.0/23 | 2.25.166.1 to 2.25.167.254 | 2.25.167.255 | 510 |
| 213 | 2.25.168.0/23 | 2.25.168.1 to 2.25.169.254 | 2.25.169.255 | 510 |
| 214 | 2.25.170.0/23 | 2.25.170.1 to 2.25.171.254 | 2.25.171.255 | 510 |
| 215 | 2.25.172.0/23 | 2.25.172.1 to 2.25.173.254 | 2.25.173.255 | 510 |
| 216 | 2.25.174.0/23 | 2.25.174.1 to 2.25.175.254 | 2.25.175.255 | 510 |
| 217 | 2.25.176.0/23 | 2.25.176.1 to 2.25.177.254 | 2.25.177.255 | 510 |
| 218 | 2.25.178.0/23 | 2.25.178.1 to 2.25.179.254 | 2.25.179.255 | 510 |
| 219 | 2.25.180.0/23 | 2.25.180.1 to 2.25.181.254 | 2.25.181.255 | 510 |
| 220 | 2.25.182.0/23 | 2.25.182.1 to 2.25.183.254 | 2.25.183.255 | 510 |
| 221 | 2.25.184.0/23 | 2.25.184.1 to 2.25.185.254 | 2.25.185.255 | 510 |
| 222 | 2.25.186.0/23 | 2.25.186.1 to 2.25.187.254 | 2.25.187.255 | 510 |
| 223 | 2.25.188.0/23 | 2.25.188.1 to 2.25.189.254 | 2.25.189.255 | 510 |
| 224 | 2.25.190.0/23 | 2.25.190.1 to 2.25.191.254 | 2.25.191.255 | 510 |
| 225 | 2.25.192.0/23 | 2.25.192.1 to 2.25.193.254 | 2.25.193.255 | 510 |
| 226 | 2.25.194.0/23 | 2.25.194.1 to 2.25.195.254 | 2.25.195.255 | 510 |
| 227 | 2.25.196.0/23 | 2.25.196.1 to 2.25.197.254 | 2.25.197.255 | 510 |
| 228 | 2.25.198.0/23 | 2.25.198.1 to 2.25.199.254 | 2.25.199.255 | 510 |
| 229 | 2.25.200.0/23 | 2.25.200.1 to 2.25.201.254 | 2.25.201.255 | 510 |
| 230 | 2.25.202.0/23 | 2.25.202.1 to 2.25.203.254 | 2.25.203.255 | 510 |
| 231 | 2.25.204.0/23 | 2.25.204.1 to 2.25.205.254 | 2.25.205.255 | 510 |
| 232 | 2.25.206.0/23 | 2.25.206.1 to 2.25.207.254 | 2.25.207.255 | 510 |
| 233 | 2.25.208.0/23 | 2.25.208.1 to 2.25.209.254 | 2.25.209.255 | 510 |
| 234 | 2.25.210.0/23 | 2.25.210.1 to 2.25.211.254 | 2.25.211.255 | 510 |
| 235 | 2.25.212.0/23 | 2.25.212.1 to 2.25.213.254 | 2.25.213.255 | 510 |
| 236 | 2.25.214.0/23 | 2.25.214.1 to 2.25.215.254 | 2.25.215.255 | 510 |
| 237 | 2.25.216.0/23 | 2.25.216.1 to 2.25.217.254 | 2.25.217.255 | 510 |
| 238 | 2.25.218.0/23 | 2.25.218.1 to 2.25.219.254 | 2.25.219.255 | 510 |
| 239 | 2.25.220.0/23 | 2.25.220.1 to 2.25.221.254 | 2.25.221.255 | 510 |
| 240 | 2.25.222.0/23 | 2.25.222.1 to 2.25.223.254 | 2.25.223.255 | 510 |
| 241 | 2.25.224.0/23 | 2.25.224.1 to 2.25.225.254 | 2.25.225.255 | 510 |
| 242 | 2.25.226.0/23 | 2.25.226.1 to 2.25.227.254 | 2.25.227.255 | 510 |
| 243 | 2.25.228.0/23 | 2.25.228.1 to 2.25.229.254 | 2.25.229.255 | 510 |
| 244 | 2.25.230.0/23 | 2.25.230.1 to 2.25.231.254 | 2.25.231.255 | 510 |
| 245 | 2.25.232.0/23 | 2.25.232.1 to 2.25.233.254 | 2.25.233.255 | 510 |
| 246 | 2.25.234.0/23 | 2.25.234.1 to 2.25.235.254 | 2.25.235.255 | 510 |
| 247 | 2.25.236.0/23 | 2.25.236.1 to 2.25.237.254 | 2.25.237.255 | 510 |
| 248 | 2.25.238.0/23 | 2.25.238.1 to 2.25.239.254 | 2.25.239.255 | 510 |
| 249 | 2.25.240.0/23 | 2.25.240.1 to 2.25.241.254 | 2.25.241.255 | 510 |
| 250 | 2.25.242.0/23 | 2.25.242.1 to 2.25.243.254 | 2.25.243.255 | 510 |
| 251 | 2.25.244.0/23 | 2.25.244.1 to 2.25.245.254 | 2.25.245.255 | 510 |
| 252 | 2.25.246.0/23 | 2.25.246.1 to 2.25.247.254 | 2.25.247.255 | 510 |
| 253 | 2.25.248.0/23 | 2.25.248.1 to 2.25.249.254 | 2.25.249.255 | 510 |
| 254 | 2.25.250.0/23 | 2.25.250.1 to 2.25.251.254 | 2.25.251.255 | 510 |
| 255 | 2.25.252.0/23 | 2.25.252.1 to 2.25.253.254 | 2.25.253.255 | 510 |
| 256 | 2.25.254.0/23 | 2.25.254.1 to 2.25.255.254 | 2.25.255.255 | 510 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |